Initialize setup
post
/fscmRestApi/resources/11.13.18.05/supplierNumbering/action/initializeSetup
Initializes the supplier numbering setup by creating and configuring the default supplier numbering parameters required for supplier registration and management.
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
objectResponse
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): string
Result of the supplier number setup initialization.
Examples
This example describes how to initialize the supplier numbering setup by creating and configuring the default supplier numbering parameters required for supplier registration and management.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" "https://servername/fscmRestApi/resources/version/supplierNumbering/action/initializeSetup"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" "https://servername/fscmRestApi/resources/version/supplierNumbering/action/initializeSetup"
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"result": "ROW EXISTS"
}